open-vm-tools 10.0.0

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Typedefs
- Enumerations
- Enumerator
- Macros

- c
- d
- g
- i
- l
- p
- r
- s
- t
- v
- w

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - c -

- CLEAR_LOG_HANDLER : vmtoolsLog.c
- ConfigEntry : vmtoolsConfig.c
- ConfigType : vmtoolsConfig.c

### - d -

- Debug() : vmtoolsLog.c
- DEFAULT_HANDLER : vmtoolsLog.c
- DEFAULT_LOGFILE_NAME_PREFIX : vmtoolsLog.c

### - g -

- g_info : log.h

### - i -

- IS_FATAL : vmtoolsLog.c

### - l -

- Log() : vmtoolsLog.c
- LogEntry : vmtoolsLog.c
- LogV() : vmtoolsLog.c

### - p -

- Panic() : vmtoolsLog.c

### - r -

- RpcChannelCallback : guestrpc.h
- RpcChannelResetCb : guestrpc.h
- RPCDEBUG_ASSERT : rpcdebug.h
- RpcDebug_DecRef() : rpcdebug.h , vmrpcdbg.c
- RpcDebug_IncRef() : rpcdebug.h , vmrpcdbg.c
- RpcDebug_Initialize() : rpcdebug.h , vmrpcdbg.c
- RpcDebug_NewDebugChannel() : debugChannel.c , vmrpcdbgInt.h
- RpcDebug_SendNext() : rpcdebug.h , vmrpcdbg.c
- RpcDebug_SetResult() : rpcdebug.h , vmrpcdbg.c
- RpcDebugInitializeFn : rpcdebug.h
- RpcDebugLibData : rpcdebug.h
- RpcDebugMsgList : rpcdebug.h
- RpcDebugMsgMapping : rpcdebug.h
- RpcDebugOnLoadFn : rpcdebug.h
- RpcDebugPlugin : rpcdebug.h
- RpcDebugRecvFn : rpcdebug.h
- RpcDebugRecvMapping : rpcdebug.h
- RpcDebugSendFn : rpcdebug.h
- RpcDebugShutdownFn : rpcdebug.h
- RpcDebugValidateFn : rpcdebug.h
- RpcIn_Callback : guestrpc.h
- RPCIN_SETRETVALS : guestrpc.h
- RpcInData : guestrpc.h

### - s -

- SAFE_HANDLER : vmtoolsLog.c
- SHOULD_LOG : vmtoolsLog.c
- SignalSourceCb : utils.h
- SU_ : i18n.h

### - t -

- TOOLS_APP_GUESTRPC : plugin.h
- TOOLS_APP_PROVIDER : plugin.h
- TOOLS_APP_SIGNALS : plugin.h
- TOOLS_CORE_PROP_CTX : plugin.h
- TOOLS_CORE_SIG_CAPABILITIES : plugin.h
- TOOLS_CORE_SIG_CONF_RELOAD : plugin.h
- TOOLS_CORE_SIG_DUMP_STATE : plugin.h
- TOOLS_CORE_SIG_IO_FREEZE : vmbackup.h
- TOOLS_CORE_SIG_RESET : plugin.h
- TOOLS_CORE_SIG_SET_OPTION : plugin.h
- TOOLS_CORE_SIG_SHUTDOWN : plugin.h
- TOOLS_CORE_SIG_XIOERROR : desktopevents.h
- TOOLS_CORE_SIG_XSM_DIE : desktopevents.h
- TOOLS_CORE_SIG_XSM_SAVE_COMPLETE : desktopevents.h
- TOOLS_CORE_SIG_XSM_SAVE_YOURSELF : desktopevents.h
- TOOLS_CORE_SIG_XSM_SHUTDOWN_CANCELLED : desktopevents.h
- TOOLS_IS_MAIN_SERVICE : plugin.h
- TOOLS_IS_USER_SERVICE : plugin.h
- TOOLS_MODULE_EXPORT : plugin.h
- TOOLS_SVC_PROPERTY : plugin.h
- ToolsAppCapability : plugin.h
- ToolsAppCtx : plugin.h
- ToolsAppProvider : plugin.h
- ToolsAppReg : plugin.h
- ToolsAppType : plugin.h
- ToolsCapabilityType : plugin.h
- ToolsCoreAPI : plugin.h
- ToolsCorePool : threadPool.h
- ToolsCorePool_CancelTask() : threadPool.h
- ToolsCorePool_GetPool() : threadPool.h
- ToolsCorePool_StartThread() : threadPool.h
- ToolsCorePool_SubmitTask() : threadPool.h
- ToolsCorePoolCb : threadPool.h
- ToolsPluginData : plugin.h
- ToolsPluginOnLoad : plugin.h
- ToolsPluginSignalCb : plugin.h
- ToolsServiceProperty : plugin.h

### - v -

- vm_critical : log.h
- vm_debug : log.h
- vm_error : log.h
- vm_free() : utils.h , vmtools.c
- vm_info : log.h
- vm_message : log.h
- vm_warning : log.h
- VMTools_AcquireLogStateLock() : utils.h , vmtoolsLog.c
- VMTools_BindTextDomain() : i18n.h , i18n.c
- VMTools_ConfigLogging() : log.h , vmtoolsLog.c
- VMTools_CreateTimer() : utils.h
- VMTOOLS_GET_FILENAME_LOCAL : utils.h
- VMTools_GetString() : i18n.h , i18n.c
- VMTools_LoadConfig() : utils.h , vmtoolsConfig.c
- VMTOOLS_LOGGING_LEVEL_DEFAULT : log.h
- VMTools_NewSignalSource() : utils.h
- VMTOOLS_RELEASE_FILENAME_LOCAL : utils.h
- VMTools_ReleaseLogStateLock() : utils.h , vmtoolsLog.c
- VMTools_RestartLogging() : vmtoolsLog.c , utils.h
- VMTools_ResumeLogIO() : utils.h , vmtoolsLog.c
- VMTools_SetGuestSDKMode() : vmtoolsLog.c , utils.h
- VMTools_StopLogging() : utils.h , vmtoolsLog.c
- VMTools_SuspendLogIO() : utils.h , vmtoolsLog.c
- VMTOOLS_WRAP_ARRAY : utils.h
- VMTools_WrapArray() : vmtools.c , utils.h
- VMTools_WriteConfig() : vmtoolsConfig.c , utils.h
- VMTOOLSAPP_ATTACH_SOURCE : plugin.h
- VMTOOLSAPP_ERROR : plugin.h
- VMToolsAsprintf() : vmtoolsLog.c
- VMToolsCreateVMXLogger() : vmtoolsInt.h , vmxLogger.c
- VMToolsMsgCleanup() : i18n.c , vmtoolsInt.h

### - w -

- Warning() : vmtoolsLog.c